// require('./bootstrap');

import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import Toaster from "@meforma/vue-toaster";
import veProgress from "vue-ellipse-progress";
import { createMetaManager } from 'vue-meta';
import { i18nVue } from 'laravel-vue-i18n'
import Helpers from "@/Mixins/Helpers";

window.onresize = function(event) {
    checkscreen();
};

checkscreen();

function checkscreen(){
    $('body').removeClass('desktop').removeClass('mobile')

    if ($(window).width() < 772){
        $('body').addClass('mobile')
    }else{
        $('body').addClass('desktop')
    }
}

let app = createApp({
        extends: App
    })
    .use(store)
    .use(router)
    .use(createMetaManager(), {
        refreshOnceOnNavigation: true
    })
    .use(Toaster)
    .use(veProgress)
    .use(Helpers)
    .use(i18nVue, {
        resolve: async lang => {
            const langs = import.meta.glob('../../lang/*.json');
            return await langs[`../../lang/${lang}.json`]();
        }
    });

app.mount("#app");
